-- name: [CS] Girlfriend
-- description: The Devil Darling herself comes into the Mushroom Kingdom, play as the sweet Girlfriend as she saves the day!\n\nMade by: Violet\n\n\\#ff7777\\This Pack requires Character Select\nto use as a Library!

-- Replace Mod Name with your Character/Pack name.
local TEXT_MOD_NAME = "Girlfriend"

-- Stops mod from loading if Character Select isn't on, Does not need to be touched
if not _G.charSelectExists then
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
    return 0
end

local E_MODEL_GF =      smlua_model_util_get_id("gf_violet_geo")

local TEX_GF_LIFE_ICON = get_texture_info("gf_violet_icon")

local VOICETABLE_GF = {
	[CHAR_SOUND_OKEY_DOKEY] =        'GFOkeyDokey.ogg', -- Starting level
	[CHAR_SOUND_LETS_A_GO] =         'GFLetsGo.ogg', -- Starting level
	[CHAR_SOUND_PUNCH_YAH] =         'GFYah.ogg', -- Punch 1
	[CHAR_SOUND_PUNCH_WAH] =         'GFWah.ogg', -- Punch 2
	[CHAR_SOUND_PUNCH_HOO] =         'GFHoo.ogg', -- Punch 3
	[CHAR_SOUND_YAH_WAH_HOO] =       {'GFYah.ogg', 'GFWah.ogg', 'GFHoo.ogg'}, -- First Jump Sounds
	[CHAR_SOUND_HOOHOO] =            'GFHooHoo.ogg', -- Second jump sound
	[CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {'GFYahoo.ogg', 'GFWaha.ogg','GFYippee.ogg'}, -- Triple jump sounds
	[CHAR_SOUND_UH] =                'GFUh.ogg', -- Wall bonk
	[CHAR_SOUND_UH2] =               'GFUh.ogg', -- Landing after long jump
	[CHAR_SOUND_UH2_2] =             'GFUh.ogg',
	[CHAR_SOUND_OOOF] =              'GFOof.ogg', -- Wall bonk
	[CHAR_SOUND_OOOF2] =            'GFOof.ogg',
	[CHAR_SOUND_HAHA] =              'GFHaha.ogg',
	[CHAR_SOUND_HAHA_2] =            'GFHaha.ogg', -- Landing triple jump
	[CHAR_SOUND_YAHOO] =             'GFYahoo.ogg', -- Long jump
	[CHAR_SOUND_DOH] =               'GFDoh.ogg', -- Long jump wall bonk
	[CHAR_SOUND_WHOA] =              'GFWoah.ogg', -- Grabbing ledge
	[CHAR_SOUND_EEUH] =              'GFEeuh.ogg', -- Climbing over ledge
	[CHAR_SOUND_WAAAOOOW] =          'GFFalling.ogg', -- Falling a long distance
	[CHAR_SOUND_TWIRL_BOUNCE] =      'GFBoing.ogg', -- Bouncing off of a flower spring
	[CHAR_SOUND_GROUND_POUND_WAH] =  'GFWah.ogg', 
	[CHAR_SOUND_HRMM] =              'GFHrmm.ogg', -- Lifting something
	[CHAR_SOUND_HERE_WE_GO] =        'GFHereWeGo.ogg', -- Star get
	[CHAR_SOUND_SO_LONGA_BOWSER] =   'GFBowser.ogg', -- Throwing Bowser
--DAMAGE
	[CHAR_SOUND_ATTACKED] = 'GFAttacked.ogg', -- Damaged
	[CHAR_SOUND_PANTING] = 'GFPanting.ogg', -- Low health
	[CHAR_SOUND_PANTING_COLD] = 'GFPanting.ogg',
	[CHAR_SOUND_ON_FIRE] = 'GFBurning.ogg', -- Burned
--SLEEP SOUNDS
	[CHAR_SOUND_IMA_TIRED] = 'GFTired.ogg', -- Mario feeling tired
	[CHAR_SOUND_YAWNING] = 'GFYawn.ogg', -- Mario yawning before he sits down to sleep
	[CHAR_SOUND_SNORING1] = 'GFSnore1.ogg', -- Snore Inhale
	[CHAR_SOUND_SNORING2] = 'GFSnore2.ogg', -- Exhale
--COUGHING (USED IN THE GAS MAZE)
	[CHAR_SOUND_COUGHING1] = 'GFCough1.ogg', -- Cough take 1
	[CHAR_SOUND_COUGHING2] = 'GFCough2.ogg', -- Cough take 2
	[CHAR_SOUND_COUGHING3] = 'GFCough3.ogg', -- Cough take 3
--DEATH
	[CHAR_SOUND_DYING] = 'GFDead.ogg', -- Dying from damage
	[CHAR_SOUND_DROWNING] = 'GFDrowning.ogg', -- Running out of air underwater
	[CHAR_SOUND_MAMA_MIA] = 'GFOhNo.ogg' -- Booted out of level
}

local PALETTE_GF = {
    [PANTS]  = "ffffff",
    [SHIRT]  = "FF0000",
    [GLOVES] = "ffffff",
    [SHOES]  = "FF0000",
    [HAIR]   = "3F0D0D",
    [SKIN]   = "FFBFAB",
    [CAP]    = "FF0000",
	[EMBLEM] = "FF0000"
}

local CSloaded = false
local function on_character_select_load()
    CT_GF = _G.charSelect.character_add(
        "Girlfriend", -- Character Name
        "The Devil Darling herself comes into the Mushroom Kingdom, play as the sweet Girlfriend as she saves the day!", -- Description
        "Violet", -- Credits
        "FF0000",           -- Menu Color
        E_MODEL_GF,       -- Character Model
        CT_TOAD,           -- Override Character
        TEX_GF_LIFE_ICON, -- Life Icon
        1,                  -- Camera Scale
        0                   -- Vertical Offset
    )

    _G.charSelect.character_add_voice(E_MODEL_GF, VOICETABLE_GF)

    _G.charSelect.character_add_palette_preset(E_MODEL_GF, PALETTE_GF)

    _G.charSelect.credit_add(TEXT_MOD_NAME, "Violet", "Pack")
	_G.charSelect.credit_add(TEXT_MOD_NAME, "chibisprinklez", "Voice Actress")

    CSloaded = true
end

_G.charSelect.config_character_sounds()

hook_event(HOOK_ON_MODS_LOADED, on_character_select_load)